Bug 960258 - Review Request: sailcut - A sail design and plotting software
Summary: Review Request: sailcut - A sail design and plotting software
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-06 19:39 UTC by Sandro Mani
Modified: 2013-05-15 15:44 UTC (History)
4 users (show)

Fixed In Version: sailcut-1.3.5-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-15 15:44:23 UTC
ti.eugene: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mani 2013-05-06 19:39:06 UTC
Spec URL: http://smani.fedorapeople.org/sailcut.spec
SRPM URL: http://smani.fedorapeople.org/sailcut-1.3.5-1.svnr771.fc20.src.rpm
Description: Sailcut CAD is a sail design and plotting software.
Fedora Account System Username: smani

Comment 1 Eugene A. Pivnev 2013-05-06 21:26:46 UTC
Short preview:

Source2: sailcut.xml

BuildRequires: cmake
...
BuildRequires: shared-mime-info

%description
...

* You separate as spec sections as section items with CR. It's hard to read.

* %{cmake} . > %cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo .
(https://bugzilla.redhat.com/show_bug.cgi?id=919044#c31)

* make_install == make install DESTDIR=%{buildroot}
try "rpm --eval %make_install (or other macro)

PS. Don't forget to update release.

Comment 2 Sandro Mani 2013-05-06 21:49:02 UTC
Spec URL: http://smani.fedorapeople.org/sailcut.spec
SRPM URL: http://smani.fedorapeople.org/sailcut-1.3.5-2.svnr771.fc20.src.rpm

* Mon May 06 2013 Sandro Mani <manisandro@gmail.com> - 1.3.5-2.svnr771
- Use -DCMAKE_BUILD_TYPE=RelWithDebInfo
- Use %make_install

Comment 3 Eugene A. Pivnev 2013-05-07 07:39:35 UTC
Ok, next (final?) pre-review:

1. %make_install == make install DESTDIR=%{buildroot}
2. changelog must be in right order (freshest is on the top)
3. Koji builds are welcome
4. Please use unified section split style - or double CR or one.
5. Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz (http://fedoraproject.org/wiki/Packaging:SourceURL#Sourceforge.net)

As you use hand-made svn snapshot - I can't check it and fedora-review can't download sources.
From other side - main differences between 771 and original 1.3.5 tarball are a) new test cases (that you don't need) and b) small CmakeLists.txt patch.
I propose you to use original 1.3.5 tarball and aply patch.

Comment 4 Eugene A. Pivnev 2013-05-07 07:43:37 UTC
(In reply to comment #3)

> I propose you to use original 1.3.5 tarball and aply patch.

Or to use other way (like http://fedoraproject.org/wiki/Packaging:SourceURL#Troublesome_URLs)

Comment 5 Sandro Mani 2013-05-07 09:03:42 UTC
Spec URL: http://smani.fedorapeople.org/sailcut.spec
SRPM URL: http://smani.fedorapeople.org/sailcut-1.3.5-1.fc20.src.rpm

Argh, late night work..
1. fixed
2. fixed
3. Here: http://koji.fedoraproject.org/koji/taskinfo?taskID=5338611
4. Do you mean the single CR before %description and double elsewhere? If so, fixed (I'd rather keep a single CR before the BuildRequires)
5. fixed

And for the snapshot issue, I've ended up using 1.3.5 + patch as you suggested.

Comment 6 Eugene A. Pivnev 2013-05-07 10:27:56 UTC
Approved.

Notes:
1. W: spelling-error %description -l en_US visualise -> visualize, visual
2. Licenses found: "GPL (v2 or later) (with incorrect FSF address)"
I recomend you to make total replacement (find+sed) of wrong FSF address with correct: http://www.fsf.org/about/contact/. And check with "licensecheck -r *"

Comment 7 Sandro Mani 2013-05-07 10:42:18 UTC
Spec URL: http://smani.fedorapeople.org/sailcut.spec
SRPM URL: http://smani.fedorapeople.org/sailcut-1.3.5-2.fc20.src.rpm

Spelling and licenses fixed. Thanks for the review!

Comment 8 Sandro Mani 2013-05-07 10:43:22 UTC
New Package SCM Request
=======================
Package Name: sailcut
Short Description: A sail design and plotting software
Owners: smani
Branches: f18 f19
InitialCC:

Comment 9 Gwyn Ciesla 2013-05-07 13:14:57 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-05-07 14:14:38 UTC
sailcut-1.3.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sailcut-1.3.5-2.fc19

Comment 11 Fedora Update System 2013-05-07 20:43:40 UTC
sailcut-1.3.5-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 12 Fedora Update System 2013-05-15 15:44:23 UTC
sailcut-1.3.5-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.